| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Rndm::Flat Class Reference

`#include <RndmGenerators.h>`

Inheritance diagram for Rndm::Flat:

[legend]
Collaboration diagram for Rndm::Flat:

[legend]
List of all members.

## Detailed Description

Parameters for the flat random number generation within boundaries [minimum, maximum].

Definition at line 266 of file RndmGenerators.h.

## Public Member Functions
| Flat (double mi, double ma)
| Standard Constructor.
virtual | ~Flat ()
| Standard Destructor.
double | minimum () const
| Access lower edge.
double | maximum () const
| Access upper edge.
virtual IRndmGen::Param * | clone () const
| Clone parameters.
## Static Public Member Functions
static const InterfaceID & | typeID ()
| Identifier for factory.
## Protected Attributes
double | m_minimum
| Lower boundary for random numbers.
double | m_maximum
| Upper boundary for random numbers.

## Constructor & Destructor Documentation

Rndm::Flat::Flat | ( | double | mi,
|  | double | ma |
| ) |  |  | `[inline]`

Standard Constructor.

Definition at line 274 of file RndmGenerators.h.

Referenced by clone().

    00275     : IRndmGen::Param(IID_IRndmFlat), m_minimum(mi), m_maximum(ma) { }

virtual Rndm::Flat::~Flat | ( |  | ) | `[inline, virtual]`

Standard Destructor.

Definition at line 277 of file RndmGenerators.h.

    00277 {  }

## Member Function Documentation

double Rndm::Flat::minimum | ( |  | ) | const`[inline]`

Access lower edge.

Definition at line 279 of file RndmGenerators.h.

References m_minimum.

    00279 { return m_minimum;             }

double Rndm::Flat::maximum | ( |  | ) | const`[inline]`

Access upper edge.

Definition at line 281 of file RndmGenerators.h.

References m_maximum.

    00281 { return m_maximum;             }

static const InterfaceID& Rndm::Flat::typeID | ( |  | ) | `[inline, static]`

Identifier for factory.

Definition at line 283 of file RndmGenerators.h.

References IID_IRndmFlat.

    00283 { return IID_IRndmFlat;         }

virtual IRndmGen::Param* Rndm::Flat::clone | ( |  | ) | const`[inline, virtual]`

Clone parameters.

Implements IRndmGen::Param.

Definition at line 285 of file RndmGenerators.h.

References Flat(), m_maximum, and m_minimum.

    00285                                             {
    00286       return new Flat(m_minimum, m_maximum);
    00287     }

## Member Data Documentation

double Rndm::Flat::m_minimum`[protected]`

Lower boundary for random numbers.

Definition at line 269 of file RndmGenerators.h.

Referenced by clone(), and minimum().

double Rndm::Flat::m_maximum`[protected]`

Upper boundary for random numbers.

Definition at line 271 of file RndmGenerators.h.

Referenced by clone(), and maximum().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/RndmGenerators.h